EXPORTS.json2xml = function(json, options)
{
	function convert(tag, obj)
	{
		tag = tag.replace("$", ":");
		var s = "<" + tag;
		var $t = undefined;
		var children = [];
		for (var k in obj)
		{
			var v = obj[k];
			if (k == "$t")
			{
				$t = v;
			}
			else if (typeof v == "object")
			{
				children.push({ tag: k, val: v });
			}
			else
			{
				s += " " + k + "=\"" + v + "\"";
			}
		}
		if ($t === undefined && children.length == 0)
		{
			s += "/>";
		}
		else
		{
			if ($t !== undefined)
			{
				s += ">" + $t + "</" + tag + ">";
			}
			else
			{
				s += ">";
				var len = children.length;
				for (i = 0; i < len; i++)
				{
					var child = children[i];
					var val = child.val;
					if (Object.prototype.toString.call(val) == "[object Array]")
					{
						
						var vlen = val.length;
						for (var j = 0; j < vlen; j++)
						{
							s += convert(child.tag, val[j]);
						}
					}
					else
					{
						s += convert(child.tag, val);
					}
				}
				s += "</" + tag + ">";
			}
		}
		return s;
	}
	
	options = options || {};
	var s = "";
	if (options.includeHeader)
	{
		s += "<?xml" + (json.version ? " version=\"" + json.version + "\"" : "") + (json.encoding ? " encoding=\"" + json.encoding + "\"?>" : "?>");
	}
	for (var k in json)
	{
		if (k != "version" && k != "encoding")
		{
			return s + convert(k, json[k]);
		}
	}
}